Subject: Re: bug#865: 23.0.60; The directory is unsafe today

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Wed, 03 Sep 2008 01:27:13 +0200

Juanma Barranquero wrote:
> On Wed, Sep 3, 2008 at 01:19, Lennart Borgman (gmail)
> <[email-masked]> wrote:
> 
>> I got your point, but I still think it is better to try to catch the
>> error there.
> 
> Why? Deleting the old server-file is irrelevant, it's just cleanup.
> Failing to do it does not affect the Emacs server.
> 
> Failing to write a new server file *is* a problem: you won't be able
> to communicate with emacsclient, or it will use erroneous or malicious
> data.

So you mean there is no more problem if the old file was not deleted?
Why delete it at all in that case?

> The relevant operations there are `(make-network-process ... :service
> server-file ...)' and `(with-temp-file server-file ...)'; these are
> the ones that should signal an error if something fails. And they do.
> 
>  Juanma
>